# Enum Class VulkanDebugUtilsMessageSeverityFlag

java.lang.Object
java.lang.Enum<VulkanDebugUtilsMessageSeverityFlag>
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsMessageSeverityFlag

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanDebugUtilsMessageSeverityFlag>`, `Constable`

public enum VulkanDebugUtilsMessageSeverityFlag extends Enum<VulkanDebugUtilsMessageSeverityFlag> implements VulkanEnumBitmaskType
Bitmask specifying which severities of events cause a debug messenger callback.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_DEBUG_UTILS_MESSAGE_SEVERITY_ERROR_BIT_EXT`
  Specifies that the application has violated a valid usage condition of the specification.
  `VK_DEBUG_UTILS_MESSAGE_SEVERITY_INFO_BIT_EXT`
  Specifies an informational message such as resource details that may be handy when debugging an application.
  `VK_DEBUG_UTILS_MESSAGE_SEVERITY_VERBOSE_BIT_EXT`
  Specifies the most verbose output indicating all diagnostic messages from the Vulkan loader, layers, and drivers should be captured.
  `VK_DEBUG_UTILS_MESSAGE_SEVERITY_WARNING_BIT_EXT`
  Specifies use of Vulkan that may expose an app bug.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanDebugUtilsMessageSeverityFlag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanDebugUtilsMessageSeverityFlag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_DEBUG_UTILS_MESSAGE_SEVERITY_VERBOSE_BIT_EXT

    public static final VulkanDebugUtilsMessageSeverityFlag VK_DEBUG_UTILS_MESSAGE_SEVERITY_VERBOSE_BIT_EXT
    Specifies the most verbose output indicating all diagnostic messages from the Vulkan loader, layers, and drivers should be captured.

  - ### VK_DEBUG_UTILS_MESSAGE_SEVERITY_INFO_BIT_EXT

    public static final VulkanDebugUtilsMessageSeverityFlag VK_DEBUG_UTILS_MESSAGE_SEVERITY_INFO_BIT_EXT
    Specifies an informational message such as resource details that may be handy when debugging an application.

  - ### VK_DEBUG_UTILS_MESSAGE_SEVERITY_WARNING_BIT_EXT

    public static final VulkanDebugUtilsMessageSeverityFlag VK_DEBUG_UTILS_MESSAGE_SEVERITY_WARNING_BIT_EXT
    Specifies use of Vulkan that may expose an app bug.

  - ### VK_DEBUG_UTILS_MESSAGE_SEVERITY_ERROR_BIT_EXT

    public static final VulkanDebugUtilsMessageSeverityFlag VK_DEBUG_UTILS_MESSAGE_SEVERITY_ERROR_BIT_EXT
    Specifies that the application has violated a valid usage condition of the specification.

- ## Method Details

  - ### values

    public static VulkanDebugUtilsMessageSeverityFlag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanDebugUtilsMessageSeverityFlag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant